  \version "2.13.46"

  \header {
    dedication =   "Publication : Editions Outremontaises -  Ed. Pierre Gouin"	  
    title = \markup "Sonate en trio pour trois flutes traversières, sans basse" 
    subtitle = "Op VII  - Paris 1725"
    composer = \markup \bold \center-column { "Joseph Bodin de Boismortier" \small  "(1689-1755)" }   
    meter = \markup \bold \italic \fontsize #4 {"Modérément"}
    poet = \markup \italic "transposé pour 3 bassons par J.J.Gerbaud"   
    tagline = "Created by J.J.Gerbaud using LilyPond (www.lilypond.org)"

	}
su = \stemUp
sd = \stemDown	
sn = \stemNeutral
sf = _\markup { \dynamic "sfz" }


\paper {
	  indent = 0\mm
	  line-width = 190\mm - 0.5* 15\mm
	  ragged-last-bottom = ##f % permet de remplir la dernière page
	
}

\layout { }
	
global = { }
globalTempo = {\override Score.MetronomeMark #'transparent = ##t }
	
	resetBarnum = \context Score \applyContext % pour la numérotation des mesures
	#(set-bar-number-visibility 2)
	

%% Identification
voixI =

\context Voice = "voice 1"

\relative c' { 
	 
	 \set Staff.instrumentName = \markup { \column { "I" } }
         \set Staff.midiInstrument = "Bassoon"
         \override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-6 . 6)
          
   	\time 3/4
    	\clef "bass"
        \key d \minor
        \partial 4  r8 d8 %^\markup {\halign #+1 \italic \bold {\fontsize #1.5 {"Modérément" }}}
  
  
       d4. d8 e f
       cis\trill b a bes g a
       f\trill e e4.\trill d8
       d4. f8 e\trill[ d]  
%5       
       a'4 a, cis
       d8 e cis4 a'
       f\trill e8 (d) bes'4
       g4\trill f8 (e) c'4
% 9       
       a4\trill g8 (f) f'4
       d\trill c8 (b) g'4
       c,4.\trill b8 c4~
       c8 d b4.\trill a8
%13
       a2 \bar ":|:"
% 2ème partie       
       r8 c8
       c4. a8 bes c
       g4\trill g8 a bes4
% 16
	a4\trill g8 (f) a4
	bes4. c8 d4
	g,8 a fis4. \trill g8
	g2 r4
	c4 g8 a bes c
% Page deux       
       a4\trill a8 bes c4
       f,4 bes8 a g f
       e4\trill r8 d'16 (cis) d4
       r8 d16 (cis) d8 a bes a
       g f e4. \trill d8      
% 26       
       d8 e d e f d
       e f e f g e
       f g f g a f
       g a g a bes g
       a4 d4. c8       
%31
	b4\trill e4. d8
	cis4\trill r8 d16 (c) d4
	r8 d16 (cis) d8 a bes a
	g f e4.\trill d8
	d2 \bar ":|"	
	
}      
                
%% fin voix 1 ----------------------------------------------
         
voixII =
\context Voice = "voice 2"
\relative c { 
	 \set Staff.instrumentName = \markup { \column { "II" } }
         \set Staff.midiInstrument = "Bassoon"
  \override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-6 . 6)
  \override TextScript #'padding = #2.0
  \override MultiMeasureRest #'expand-limit = 1
  \once \override Staff.TimeSignature #'style = #'() 
  
  	\clef "bass"
        \key d \minor
        \partial 4 r4
                
        R2.*2 
%3
	r4 r r8 d'8
        d4. d8 e f    
%5	
        cis\trill b a bes g a
        f\trill e e4.\trill d8
        d4 d'4. d8
	d4 c4. c8
%9	
	c4 a8 g d'4
	b4\trill a8 g c4
	b8 a4 gis8 a4~
% 12	
	a8 b gis4.\trill a8	
	a2  
% 2ème partie
	r8 a8 
	a4. f8 g a
	e4\trill e8 f g4
%16
	c,4 a' d~
	d4 d8 a bes4~
	bes8 c
	a4.\trill g8	
	g4 d8 e f g
	e4 e8 f g4
% Page deux 
	c,4 f a,
	bes8 a g a bes g
	\su a \sn a'16 (g) a4 r8 a16 (g)
	a4. f8 (g) f
	e d cis4. d8
% 26
	d2 r4
	R2.
	d8 e d e f d
        e f e f g e
        f e f g f e
% 31
	d4 g8 a g f
	e a16 (g) a4 r8 a16 (g)
	a4. f8 g f
	e d cis4.\trill d8
	d2

}

%% fin voix 2      ---------------------------------------------

%% voix 3
voixIII =
\context Voice = "voice 3"
\relative c { 
	 \set Staff.instrumentName = \markup { \column { "III" } }
         \set Staff.midiInstrument = "Bassoon"
         \override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-6 . 6)
         \override TextScript #'padding = #2.0
         \override MultiMeasureRest #'expand-limit = 1
         \once \override Staff.TimeSignature #'style = #'()  
     
         \clef "bass"
         \key d \minor
         \partial 4 r8 \su d8
%1                
	f4.f8 e d
	a'4 a, cis
	d8 e cis4.\trill d8
% 4	
	\sd d e f a g f
	\sn e4 cis a 
	d \sd a' \sn a,
	d2 d4
% 8	
	e c8 d e c
	\sn f2 d4
	g2 e4 
% 11	
	f2 f4 
	d4 e2
	a,2
%2ème partie                
 	r8 f'8 
 	f2 bes,4
 	c c' \su e,
% 16
	f2 fis4
	\sd g4. \sn ees8 d4
	ees8 c d4 d
	g,2 r4 
	R2.
% Page deux 
	f'4 \su c8 d es f
	d4 g8 f e d
	cis4\trill r8 f16 (e) f4
	r8 f16 (e) f8 d g, a
	bes g a2
% 26
	d2 d4
	cis2\trill a4
	d2 d4 
	c2 c4
	f,2 f4
% 31	
	g2 g4 
	a4 r8 f'16 (e) f4
	r8 f16 (e) f8 d g, a
	bes g a2
	d2


%% fin voix 3
  
  }  
\score {
	
  <<
  \new StaffGroup <<
  
  { 
  	  
  	 \override Score.BarNumber  #'break-visibility =#end-of-line-invisible
         \override Score.RehearsalMark  #'padding = #2.5
         \resetBarnum

  }
  
  \new Staff  {\voixI }

\new Staff  { \voixII }

%% la partie qui suit ne sert qu'à colorer la portée de la voix 2
%\with { %%colorisation de cette portée
%     \override StaffSymbol #'stencil = #(lambda (grob)
%        (let* ((staff (ly:staff-symbol::print grob))
%               (X-ext (ly:stencil-extent staff X))
%               (Y-ext (ly:stencil-extent staff Y)))
%         (set! Y-ext (cons
%            (- (car Y-ext) 0)
%            (+ (cdr Y-ext) 0)))
%         (ly:grob-set-property! grob 'layer -10)
%         (ly:stencil-add
%           (ly:make-stencil (list 'color (rgb-color 1 0.8 0.6)
%             (ly:stencil-expr (ly:round-filled-box X-ext Y-ext 0))
%           X-ext Y-ext))
%         staff)))
% 		}
%%%%%%%% fin de la coloration ------------------------				
	
 \new Staff  {\voixIII } 
  
 >>
 
 		>>
 \layout { }
 	
 \midi { }
}
 %%%%%%%%%%%%%%%%%%%%%%%%%
