  \version "2.13.46"

\header {
    dedication =   "Publication : Editions Outremontaises -  Ed. Pierre Gouin"	  
    title = \markup "Sonate en trio pour trois flutes traversières, sans basse" 
    subtitle = "Op VII  - Paris 1725"
    composer = \markup \bold \center-column { "Joseph Bodin de Boismortier" \small  "(1689-1755)" }   
    meter = \markup \bold \italic \fontsize #4 {"Lentement"}
    poet = \markup \italic "transposé pour 3 bassons par J.J.Gerbaud"   
    tagline = "Created by J.J.Gerbaud using LilyPond (www.lilypond.org)"

	}

\paper {
  indent = 0\mm
  line-width = 190\mm - 0.5* 20\mm
  ragged-last-bottom = ##f % permet de remplir la dernière page
}

\layout { }
	
global = { }
globalTempo = {\override Score.MetronomeMark #'transparent = ##t}
	
	resetBarnum = \context Score \applyContext % pour la numérotation des mesures
	#(set-bar-number-visibility 2)

%% Identification
voixI =

\context Voice = "voice 1"

\relative c' { 
	 
	 \set Staff.instrumentName = \markup { \column { "I" } }
         \set Staff.midiInstrument = "Bassoon"
         \override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-6 . 6)
         \override TextScript #'padding = #2.0

                \time 3/2
                \clef "bass"
                \key f \major
                
                a2 g f  
                e2. -\trill d4 cis2 
                d2 cis d  
                a2 a' a  
%% 5
                a2 bes bes  
                bes2 c c  
                c2 d4. c8 bes4.\mordent  a8  
                g2\trill c c  
                c4. bes8 a4. bes8 c2  
%% 10
                d2 g,2.\trill f4  
                f1 r2  
                r2 f4. g8 a2  
                e1\trill r2  
                r2 a4. g8 f4.\trill e8  
%% 15
                f4. g8 a2 fis  
                g4. a8 bes4. a8 g4.\mordent  f8  
                e4. f8 e2.\trill d4  
                d1 a'2 ~  
                a2 g1\trill  
%% 20
                a1.  
                \bar "|."

	
}      
                
%% fin voix 1 ----------------------------------------------
         
voixII =
\context Voice = "voice 2"
\relative c { 
	 \set Staff.instrumentName = \markup { \column { "II" } }
         \set Staff.midiInstrument = "Bassoon"
  \override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-6 . 6)
  \override TextScript #'padding = #2.0
  \override MultiMeasureRest #'expand-limit = 1
  \once \override Staff.TimeSignature #'style = #'() 
  
                \time 3/2
                \clef "bass"
                \key d \minor
                f2 e d  
                cis2. -\trill b4 a2  
                f'2 e d  
                cis2.\trill d4 e2  
%% 5
                f2 f f  
                g2  g g  
                a2 bes4. a8 g4.\mordent f8  
                e2\trill f g  
                a4. g8 f4. g8 a2  
%% 10
                bes2 e,2.\trill f4  
                f1 r2  
                r2 d4. e8 f2  
                cis1\trill r2  
                r2 r r  
%% 15
                r2 d' 4. c8 bes 4.\trill a8  
                bes4. a8 g4. f8 e4.\mordent  d8  
                cis4. d8 d2.\trill cis4  
                d2 f e  
                d2. f4 e4.\mordent d8 
%% 20
                cis1.\trill 

}

%% fin voix 2      ---------------------------------------------

%% voix 3
voixIII =
\context Voice = "voice 3"
\relative c { 
	 \set Staff.instrumentName = \markup { \column { "III" } }
         \set Staff.midiInstrument = "Bassoon"
         \override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-6 . 6)
         \override TextScript #'padding = #2.0
         \override MultiMeasureRest #'expand-limit = 1
         \once \override Staff.TimeSignature #'style = #'()  
     
                \time 3/2
                \clef "bass"
                \key d \minor
                
                R1.*2  
                a'2 g f  
                e2. -\trill d4 cis2  
%% 5
                d2 d d  
                e2 e e  
                f2 bes bes  
                bes2 a f  
                f1 f2  
%% 10
                bes,2 c1  
                f,2 f'4. g8 a2  
                d,1 r2  
                r2 a'4. g8 f4.\trill e8  
                f4. g8 f4. e8 d4.\trill cis8  
%% 15
                d4. e8 fis2 d  
                g,2. a4 bes g  
                a4. d8 g,2 a  
                d1 c2  
                bes1.  
%% 20
                a1.  

%% fin voix 3
  
  }  
\score {
	
  <<
  \new StaffGroup <<
  
  { 
  	  
  	 \override Score.BarNumber  #'break-visibility =#end-of-line-invisible
         \override Score.RehearsalMark  #'padding = #2.5
         \resetBarnum

  }
  
  \new Staff  {\voixI }

\new Staff  { \voixII }

%% la partie qui suit ne sert qu'à colorer la portée de la voix 2
%\with { %%colorisation de cette portée
%     \override StaffSymbol #'stencil = #(lambda (grob)
%        (let* ((staff (ly:staff-symbol::print grob))
%               (X-ext (ly:stencil-extent staff X))
%               (Y-ext (ly:stencil-extent staff Y)))
%         (set! Y-ext (cons
%            (- (car Y-ext) 0)
%            (+ (cdr Y-ext) 0)))
%         (ly:grob-set-property! grob 'layer -10)
%         (ly:stencil-add
%           (ly:make-stencil (list 'color (rgb-color 1 0.8 0.6)
%             (ly:stencil-expr (ly:round-filled-box X-ext Y-ext 0))
%           X-ext Y-ext))
%         staff)))
% 		}
%%%%%%%% fin de la coloration ------------------------				
	
 \new Staff  {\voixIII } 
  
 >>
 
 		>>
 \layout { }
 	
 \midi { }
}
 %%%%%%%%%%%%%%%%%%%%%%%%%
