\version "2.13.46"

\header {
    dedication =   "Publication : Editions Outremontaises -  Ed. Pierre Gouin"	  
    title = \markup "Sonate en trio pour trois flutes traversières, sans basse" 
    subtitle = "Op VII  - Paris 1725"
    composer = \markup \bold \center-column { "Joseph Bodin de Boismortier" \small  "(1689-1755)" }   
    meter = \markup \bold \italic \fontsize #4 {"Gigue"}
    poet = \markup \italic "transposé pour 3 bassons par J.J.Gerbaud"    
    tagline = "Created by J.J.Gerbaud using LilyPond (www.lilypond.org)"
}

\paper{	
  indent = 0\mm
  line-width = 190\mm - 0.5* 20\mm
  ragged-last-bottom = ##f % permet de remplir la dernière page
	}

	#(set-global-staff-size 18)
	#(set-default-paper-size "a4")

global = { }
globalTempo = {\override Score.MetronomeMark #'transparent = ##t }
	
  resetBarnum = \context Score \applyContext % pour la numérotation des mesures
  #(set-bar-number-visibility 2)


%% Identification
voixI =

\context Voice = "voice 1"

\relative c' { 
	 
	 \set Staff.instrumentName = \markup { \column { "I" } }
         \set Staff.midiInstrument = "Bassoon"
         \override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-6 . 6)
         \override TextScript #'padding = #2.0
         \override MultiMeasureRest #'expand-limit = 1
         
            	 \time 6/8
            	 \tempo 4. = 90
                \clef "bass"
                \key f \major
		\partial 4..
                r4. r8
		R2.  
                r4 a8  d ( cis ) d    
                a 8 (  bes ) a  a 4 g 8   
%% 5
                f 4 \prall e8 a  ( g ) f    
                e 8 (  f ) d  a ( d ) cis    
                d 8  f g  a 4 r8   
                r8 f  g  a 4 r8   
                r8 f  g  a  ( g \prall ) f    
%% 10
                g 8  e f  g (  f \prall) e    
                f 8   ( e ) d  bes'4 bes8  
                bes4. a4 a8   
                a8  ( bes ) a  g4 \trill a8   
    %13 
    		a 4 \bar ":|:" 
    		a8 a  b cis    
%% 15
                d8  a d  d  a d    
                d8  bes g g a bes    
                c8  g c  c  g c    
                c8 a f  f  g a    
                bes8 f bes  bes  f bes    
%% 20
                bes  g e  e  f g    
                a8  e a  a  e a    
                a8  f d  bes' a g    
                c 8  bes a  d  c b    
                e 8  d c  f  e d    
%% 25
                d 8  c b  c  b a    
                b 8  e, a  a  b gis    
                a 4. ~ a 8  bes c    
                bes 8  c bes  a 4 \trill g 8   
                g 4. ~ g 8  a bes    
%% 30
                a 8 (  bes ) a  g 4 -\trill f 8   
                f 4 a 8 bes (  c ) bes    
                a 8 (  g ) f  g (  a ) g    
                f 8 (  e ) d  e (  f ) e    
                d 8 (  e ) f  e (  f ) d    
%% 35
                cis 4 -\trill a' 8 a  d, a'    
                bes 8  g bes  b  g b    
                c 8  g c  cis  a cis    
                d 4. ~ d 8  e f    
                e 8 (  f ) d  a (  d ) cis    
%% 40
                d8  a 16 ( g a 8 )  d,4 r8   
                r8 e 16 (  d e 8 )  a,  a'16 ( g a 8 )    
                a8 (  g \prall ) f  e 4 -\trill d 8   
                d8 a'16 _\markup \italic { "doux" }(  g a 8 )  d, 4 r8   
                r8 e16 (  d e 8 )  a,  a'16 ( g a 8 )    
%% 45
                a 8 (  g \prall ) f  e 4 -\trill d 8   
                d4   \bar ":|"
} % fin voix 1


voixII =

\context Voice = "voice 2"

\relative c { 
	 
	 \set Staff.instrumentName = \markup { \column { "II" } }
         \set Staff.midiInstrument = "Bassoon"
         \override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-6 . 6)
         \override TextScript #'padding = #2.0
         \override MultiMeasureRest #'expand-limit = 1
              \time 6/8
                \clef "bass"
                \key f \major
		\partial 4..
		
                r4. r8  
 		R2.*3
                r4 a'8 d  ( c) d    
                a8 ( bes) a  a4 g8   
                f4 \prall e8 r f g    
                a4 r8 r f g    
                a4 g8 f ( e ) d    
%% 10
                cis8  a b cis b a    
                d8 ( e ) f f ( g ) f    
                e8 ( d ) e  e ( f ) e    
                d8 ( cis ) d  d ( e ) d    
                cis4\trill
		\bar ": :" r8 r4.   
%% 15
                a'4 a8 a d a    
                bes4. r   
                g4 g8 g  c g    
                a4. r   
                f4 f8 f bes f    
%% 20
                g4. r   
                g4 e8 e  a e    
                f4. g8 ( a ) bes    
                a8 ( bes ) c b ( c ) d    
                c8 ( d)  e d ( c) b    
%% 25
                b8 ( a ) gis a ( b ) c    
                gis4 \prall e8 f4 e8   
                cis4 \prall cis8 d4 fis8   
                g8  a g  fis4 -\trill g8   
                g4 b,8 c4 e8   
%% 30
                f8 ( g ) f  e4\trill f8   
                f4. r   
                r4 a8 bes ( c ) bes    
                a8 ( g ) f g ( a ) g    
                f8 ( e ) d bes' ( a ) bes    
%% 35
                e,4\trill e8 f4 fis8   
                g8  d g  g d g    
                g8  e g  a e a    
                a8  f g  a4 a 8   
                g8 ( a ) f e4\trill d8   
%% 40
                d4 r8 r g16 ( f g 8 )    
                cis,4 r8 r f16 ( e f8 )    
                f8  e  d  cis 4 -\trill d8   
                d4 r8 r g16 _\markup \italic { "doux" } ( f g 8 )    
                cis,4 r8 r f16 ( e f8 )    
%% 45
                f8 ( e \prall ) d  cis4\trill d8   
                d4 

%% fin voix 2      ---------------------------------------------
}
%% voix 3
voixIII =
\context Voice = "voice 3"
\relative c { 
	 \set Staff.instrumentName = \markup { \column { "III" } }
         \set Staff.midiInstrument = "Bassoon"
         \override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-6 . 6)
         \override TextScript #'padding = #2.0
         \override MultiMeasureRest #'expand-limit = 1
         \once \override Staff.TimeSignature #'style = #'()  
         
                \time 6/8
                \clef "bass"
                \key f \major
		\partial 2
		
                a'8 d ( cis) d    
                a8 ( bes)  a a4 g 8   
                f4 \prall e 8 f ( e) d    
                cis4 \trill cis8 cis4 a8   
%% 5
                d4 cis8 f ( e) d    
                cis4 f8 e4.\trill    
                d8 d e  f4 r8   
                r8 d e f4 r8   
                r8 d e f cis d    
%% 10
                e8  cis d  e ( d \prall ) cis    
                d4. d   
                cis4. \prall  c   
                b4. \prall bes   
                a4
		\bar ": :" r8 r4.   
%% 15
                f'4. fis   
                g4. r   
                e4. e   
                f4. r   
                d4. d   
%% 20
                e4. r   
                cis4. cis   
                d4. e   
                f4. g   
                a4. d,   
%% 25
                e4. a,   
                e'4 c8 d4 e8   
                a,4 a'8 fis4 d8   
                g,4 c8 d4 d8   
                g,4 g'8 e4 d8   
%% 30
                f,4 bes8 c4 c8   
                f,4 f'8 e4 c8   
                f4. cis   
                d4. cis   
                d4. g,   
%% 35
                a4. d   
                g,4. r4 d'8   
                e4. r4 e8   
                f8  d e f e d    
                \stemUp g,4. a   
%% 40
                d4 c 8 bes4 g8   
                a4. f   
                g4. a   
                d4 c 8^\markup \italic { "doux" } bes4 g8   
                a4. f   
%% 45
                g4. a   
                d4
          



%% fin voix 3
  
  }
\score {
	
  <<
  \new StaffGroup <<
  
  {
         \override Score.BarNumber  #'break-visibility =#end-of-line-invisible
         \override Score.RehearsalMark  #'padding = #2.5
         \resetBarnum

  }
  
  \new Staff  {\voixI }

\new Staff  { \voixII }

%% la partie qui suit ne sert qu'à colorer la portée de la voix 2
%\with { %%colorisation de cette portée
%     \override StaffSymbol #'stencil = #(lambda (grob)
%        (let* ((staff (ly:staff-symbol::print grob))
%               (X-ext (ly:stencil-extent staff X))
%               (Y-ext (ly:stencil-extent staff Y)))
%         (set! Y-ext (cons
%            (- (car Y-ext) 0)
%            (+ (cdr Y-ext) 0)))
%         (ly:grob-set-property! grob 'layer -10)
%         (ly:stencil-add
%           (ly:make-stencil (list 'color (rgb-color 1 0.8 0.6)
%             (ly:stencil-expr (ly:round-filled-box X-ext Y-ext 0))
%           X-ext Y-ext))
%         staff)))
% 		}
%%%%%%%% fin de la coloration ------------------------				
	
 \new Staff  {\voixIII } 
  
 >>
 
 		>>
 \layout { }
 	
 \midi { }
}
 %%%%%%%%%%%%%%%%%%%%%%%%%
