
\version "2.13.46"

\header {
	
    dedication =   "Publication : Editions Outremontaises -  Ed. Pierre Gouin"	  
    title = \markup "Sonate en trio pour trois flutes traversières, sans basse" 
    subtitle = "Op VII  - Paris 1725"
    composer = \markup \bold \center-column { "Joseph Bodin de Boismortier" \small  "(1689-1755)" }   
    meter = \markup \bold \italic \fontsize #4 {"Rondeau"}
    poet = \markup \italic "transposé pour 3 bassons par J.J.Gerbaud"    
    tagline = "Created by J.J.Gerbaud using LilyPond (www.lilypond.org)"

	}
su = \stemUp
sd = \stemDown	
sn = \stemNeutral
sf = _\markup { \dynamic "sfz" }
tr = \trill
md = \mordent

\paper{
	  indent = 0\mm
	  line-width = 190\mm - 0.5* 10\mm
	  ragged-last-bottom = ##f % permet de remplir la dernière page

	}

	#(set-global-staff-size 18)
	#(set-default-paper-size "a4")

global = { }

globalTempo = {\override Score.MetronomeMark #'transparent = ##t }
	
resetBarnum = \context Score \applyContext % pour la numérotation des mesures
  #(set-bar-number-visibility 2)


%% Identification
voixI =

\context Voice = "voice 1"

\relative c' { 
	 
	 \set Staff.instrumentName = \markup { \column { "I" } }
         \set Staff.midiInstrument = "Bassoon"
         \override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-6 . 6)
         \override TextScript #'padding = #2.0
         \override MultiMeasureRest #'expand-limit = 1
%         \once \override Staff.TimeSignature #'style = #'() 

        \clef "bass"
	\key d \minor
	\time 4/4
	\partial 8.  
	
                a8 ^\markup { \bold \huge  "Gayment"}   
                d,8  a' e a a16 (g) f (e) d8 a'    
                bes8 a16 bes g8 a f4 \trill e8 a   
                d,8 a' e a a16 (g ) f ( e ) d8 f'  
%% 5
                e8 d cis8.\trill d16 d4. \bar ":|"              
                a16 bes  
                c8 f, c' c c16 (bes ) a ( g ) f 8 [ bes ]   
                bes8  a16 \mordent g  a8. bes16  g8  c e, g   
                c,8 c'16 bes  a8 \mordent g r8  c16 bes a8 \mordent g    
                c8 bes16 a g8. f16 f4. a8   
%% 10
                d,8 a' e a  a16 (g ) f ( e ) d8 a'      
                bes8 a16 bes g8 a f4 -\trill e8 a      
                d,8 a' e a a16 (g ) f ( e )  d8 f'       
                e8 d cis8. \trill  d16 d4. d16 e       
                f8 e f e f d d f       
%% 15
                e8 d16 c b8 a  gis4 \trill r8 a16 b\pageBreak    
                c8 b c b c b e d       
                c8. b16  b8.-\trill a16 a4. a8   
                d, a' e a a16 ( g ) f ( e ) d8 a'      
                bes8 a16 bes g8 a f4 \trill e8 a      
%% 20
                d,8 a' e a a16 ( g ) f  ( e ) d8  f'       
                e8 d cis8.\trill d16 d4. a8   
                d a a f' e a, a e'       
                f e16 f d8  e cis4. \trill a8   
                bes8 g g  f16 \mordent ( e ) f8 d a' a      
%% 25
                a16 g f g g8. \trill a16 a4 r16 a g a      
                d,16  a' g a  e8 a a16 ( g ) f  ( e ) d8 a'      
                bes16 c a bes g bes a g f4 \trill e16 a g a      
                d,16 a' g a e8 a a16 (g ) f ( e ) d8 f'       
                e8 d cis8. \trill d16 d4. \bar ".|."
	
}      
                
%% fin voix 1 ----------------------------------------------
         
voixII =
\context Voice = "voice 2"
\relative c { 
	 \set Staff.instrumentName = \markup { \column { "II" } }
         \set Staff.midiInstrument = "Bassoon"
         \override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-6 . 6)
         \override TextScript #'padding = #2.0
         \override MultiMeasureRest #'expand-limit = 1
%         \once \override Staff.TimeSignature #'style = #'() 
         
 %        	\time 4/4
         	\clef "bass" 
         	\partial 8  r8 
         	
                a'4 g \trill f r8 f   
                g 8   f 16 g   e 8   cis   d 4 cis   
                a'4 g -\trill f r8 a   
%% 5
                g 8   f   e 8. -\trill   d 16   d 4.
		\bar ": " f 16   g     
                a 8 c f, a g 16 (f ) e ( d )   c8   g    
                g 8 f 16 e   f 8.   g 16   e 8. \mordent d 16 c8 c'     
                e 8 g c, c'16 bes a8 \mordent g r c 16  bes     
                a 8   g 16 f   e 8.    f 16   f 4. r8   
%% 10
                a 4 g  f r8 f   
                g 8   f 16 g   e 8   cis   d 4 c   
                a'4 g \trill f r8 a   
                g8 f e8. \trill d16 d'4. a8   
                d8 cis d cis d a a b     
%% 15
                c 8   f16 e d8  c b4 \trill r8 a16 gis     
                a 8   gis a gis   a   gis b b     
                e,8. a16 gis 8. \trill a16  a4. r8   
                a4 g \trill f r8 f   
                g8 f16 g e8 cis d4 cis   
%% 20
                a4 g \trill f r8 a   
                g8 f e 8. \trill d16 d4. r8   
                r8 a'  d a a f' e a     
                a8 g16 a f8 g e4 \trill e8 f     
                g8 e e cis d a  r f'  
%% 25
                e8 f16 e d8 e cis4. r8   
                a'4 g \trill f r8 f   
                g8 f16 g e8   cis d4 cis   
                a' g \trill f r8 a   
                g8 f e8. \trill d16 d4.   

}

%% fin voix 2      ---------------------------------------------

%% voix 3
voixIII =
\context Voice = "voice 3"
\relative c { 
	 \set Staff.instrumentName = \markup { \column { "III" } }
         \set Staff.midiInstrument = "Bassoon"
         \override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-6 . 6)
         \override TextScript #'padding = #2.0
         \override MultiMeasureRest #'expand-limit = 1 
     
%         \time 4/4
         \clef "bass"
	\partial 8 r8
	
% 36         	
        f4 cis \mordent  d r8 d   
        d 8   d cis a d4 a   
        f'4 cis \mordent d r8 d   
%% 39
        g,4 a d4.
        r8 f8 a, a f bes4 r8 g   
        c4 f, c' r8 e16 f     
        g8 e f e f e f e     
        f8 bes, c c f,4. r8   
%% 44
        f'4 cis \mordent d r8 d   
        d8  d cis a  d4 a 
% 11        
        d4 cis \mordent d r8 d   
        g,4 a \su d4. d 8   
        d8 a' d, a d e f d     
%% 49
        a'4 d, e8 d c8. b16     
        a8 e' a, e' a, e' gis, gis     
        a4 e' a,4. r8   
        f'4 cis \mordent d r8 d   
        d8 d cis a d4 a   
%% 54
        d4 cis \mordent d r8 d   
        g,4 a d4. d 8   
        d8. e16 f8 d cis d a cis     
        d8 cis d g, a4. d8   
        d8 d cis a d4 r8 d   
%% 59
        c4 bes a4. r8   
        f'4 cis \mordent d r8 d   
        d8 d cis \mordent a  d4 a   
        f'4 cis \mordent d r8 d   
        g,4 a d4.   
	

%% fin voix 3
  
  }
\score {
	
  <<
  \new StaffGroup <<
  
  {
     \override Score.BarNumber  #'break-visibility =#end-of-line-invisible
     \override Score.RehearsalMark  #'padding = #2.5
     \resetBarnum

  }
  
  \new Staff  {\voixI }

  \new Staff  { \voixII }

%% la partie qui suit ne sert qu'à colorer la portée de la voix 2
%\with { %%colorisation de cette portée
%     \override StaffSymbol #'stencil = #(lambda (grob)
%        (let* ((staff (ly:staff-symbol::print grob))
%               (X-ext (ly:stencil-extent staff X))
%               (Y-ext (ly:stencil-extent staff Y)))
%         (set! Y-ext (cons
%            (- (car Y-ext) 0)
%            (+ (cdr Y-ext) 0)))
%         (ly:grob-set-property! grob 'layer -10)
%         (ly:stencil-add
%           (ly:make-stencil (list 'color (rgb-color 1 0.8 0.6)
%             (ly:stencil-expr (ly:round-filled-box X-ext Y-ext 0))
%           X-ext Y-ext))
%         staff)))
% 	\voixII	}
%%%%%%%% fin de la coloration ------------------------				
	
 \new Staff  {\voixIII } 
  
 >>
 
 		>>
 \layout { }
 	
 \midi { }
}
 %%%%%%%%%%%%%%%%%%%%%%%%%
